Package Details: gns3-gui 2.2.46-1

Git Clone URL: https://aur.archlinux.org/gns3-gui.git (read-only, click to copy)
Package Base: gns3-gui
Description: GNS3 network simulator. Graphical user interface package.
Upstream URL: https://github.com/GNS3/gns3-gui
Licenses: GPL3
Groups: gns3
Submitter: korjjj
Maintainer: buzo
Last Packager: buzo
Votes: 94
Popularity: 2.45
First Submitted: 2014-05-13 18:56 (UTC)
Last Updated: 2024-03-07 17:00 (UTC)

Dependencies (14)

Required by (1)

Sources (3)

Latest Comments

1 2 3 4 5 6 .. 13 Next › Last »

KiLoB0 commented on 2023-08-18 19:37 (UTC)

Is there anyway to downgrade to 2.240 if I don't have it in my cache? Looking to downgrade to be able to use a school environment

cryptorekt commented on 2023-06-14 19:31 (UTC) (edited on 2023-06-14 19:31 (UTC) by cryptorekt)

@Mario156090 I got the same problem after installing updates. Fixed it by installing sentry-sdk and pyqt5. After installing sentry-sdk, I got an error message regarding pyqt.

pip install --upgrade sentry-sdk

pip install PyQt5

Everything works now. Hope that helps.

Mario156090 commented on 2023-05-04 19:20 (UTC)

Today after python 3.11 update appears this error:

raceback (most recent call last): File "/usr/lib/python3.11/importlib/metadata/init.py", line 563, in from_name return next(cls.discover(name=name)) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/gns3", line 33, in <module> sys.exit(load_entry_point('gns3-gui==2.2.38', 'gui_scripts', 'gns3')()) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/bin/gns3", line 22, in importlib_load_entry_point for entry_point in distribution(dist_name).entry_points ^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/lib/python3.11/importlib/metadata/init.py", line 981, in distribution return Distribution.from_name(distribution_name) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/lib/python3.11/importlib/metadata/init.py", line 565, in from_name raise PackageNotFoundError(name) importlib.metadata.PackageNotFoundError: No package metadata was found for gns3-gui

dalline commented on 2022-11-12 02:08 (UTC)

When I installed gns3 gui and gns server, the Python sip problem also occurred, and now the following problems have occurred 发生错误,没有软件包被更新。错误:未找到目标:python-pep517 错误:未找到目标:python-build 错误:未找到目标:python-installer -> 安装软件库软件包时出错

cryptorekt commented on 2022-10-18 17:21 (UTC)

@buzo I can confirm that the fix works. Thanks

buzo commented on 2022-10-18 16:07 (UTC)

python-sip dependency and jsonschema requirement should be fixed now.

GottamRev1 commented on 2022-10-18 14:20 (UTC)

python-sip is a build requirement but it's not available in AUR or repos, got it from https://aur.archlinux.org/packages/python-sip4

cryptorekt commented on 2022-10-16 21:57 (UTC)

@Inetol I used the flag "--ala-only" and the older versions appeared. Thanks

Inetol commented on 2022-10-16 21:33 (UTC)

@cryptorekt Make sure you are fetching from the ALA server and not from the local cache.

cryptorekt commented on 2022-10-16 21:26 (UTC)

@Inetol How did you downgrade? I tried "downgrade python-jsonschema" but there's only an option to downgrade to version 4.15, no version 3.2